LibreOffice: XSubmission Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
XSubmission Interface Reference

specifies a submission object, associated with an XModel More...

Inheritance diagram for XSubmission:

## Exported Interfaces
interface | com::sun::star::beans::XPropertySet
| allows access to the submission's properties
interface | com::sun::star::container::XNamed
| allows access to the name of the submission
interface | com::sun::star::form::submission::XSubmission
| allows the submission to be associated with certain form controls

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.
Public Member Functions inherited from XSubmission
void | submit () raises ( com::sun::star::util::VetoException, com::sun::star::lang::WrappedTargetException )
| tells the component to submit data
void | submitWithInteraction ([in] com::sun::star::task::XInteractionHandler aHandler) raises ( com::sun::star::util::VetoException, com::sun::star::lang::WrappedTargetException )
| tells the component to submit data
void | addSubmissionVetoListener ([in] XSubmissionVetoListener listener) raises ( com::sun::star::lang::NoSupportException )
| registers the given listener to be notified when a submission occurs
void | removeSubmissionVetoListener ([in] XSubmissionVetoListener listener) raises ( com::sun::star::lang::NoSupportException )
| revokes a listener which has previously been registered to be notified when a submission occurs

## Detailed Description

specifies a submission object, associated with an XModel

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

allows access to the submission's properties

## ◆ com::sun::star::container::XNamed

interface com::sun::star::container::XNamed

allows access to the name of the submission

Note that the name of the submission always equals it's the value of its ID property./p>

## ◆ com::sun::star::form::submission::XSubmission

interface com::sun::star::form::submission::XSubmission

allows the submission to be associated with certain form controls

Calling the com::sun::star::form::submission::XSubmission::submit() yields exactly the same result as calling XModel::submit() of the model which the submission belongs to, passing the ID of the submission.

The documentation for this interface was generated from the following file:

- com/sun/star/xforms/XSubmission.idl